say "---------------------------------------------------------"
say "Welcome to "YourStudentHelper""
say "Please insert your name"
parse pull name
say "Hello," name
call syssleep 1
say "What do you need today?"
say "Please select" 
say "       Word"
say "       Excel"
say "       Weather"
say "       Exit"
i=10
do i
call input
end

input:
parse pull answer
select
when answer="Word" then call Word
when answer="Excel" then call Excel
when answer="Weather" then call Weather
when answer="Exit" then signal Exit
otherwise say "Your answer is not available. Please choose one of the possible options (Word, Excel, Weather, Exit)."
end
return

Word:
/* Word Teil */
/*Erstellung Word Dokument*/
Word = .OLEObject~New("Word.Application")
Word~visible=.true
say "Now Word is opened"
call syssleep 2

NewDoc= Word~Documents~Add
say "A new document is created"

Call RxMessageBox "Hello" name ", Let's be productive :)","Welcome", "Ok", "Information"

Selection = Word~Selection
Font = Selection~Font
Font~Name="Verdana"
Font~Size="16"
Font~bold=.true
Font~underline=.true
Selection~TypeText("Title")

Selection~TypeParagraph
Selection~TypeParagraph

Font = Selection~Font
Font~Name="Verdana"
Font~Size="13"
Font~bold=.true
Font~italic=.true
Font~underline=.false
Selection~TypeText("Subtitle")

Selection~TypeParagraph
Selection~TypeParagraph

Font = Selection~Font
Font~Name="Arial"
Font~Size="12"
Font~bold=.false
Font~italic=.false
Font~underline=.false
Selection~TypeText("Your text")

say  name ", have you already finished? Yes/ No"
call routin
return

routin:
parse pull ask
select
when ask="Yes" then call save
when ask="No" then call question
end
return 

save:
call RxMessageBox "Now the Document is being saved","Saved","OK", "INFORMATION"
TempDir =  VALUE("TEMP",,ENVIRONMENT)
FileName = TempDir || "\" || "WordDoc"
NewDoc~SaveAs(FileName)
Word~Quit
say "Created" FileName 
say "Write Exit or another name of a program."
return

question:
say  name", write something when you've finished"
parse pull something
call save
return


Excel:
/* Excel Teil */
/*Erstellung Excel Dokument*/
Say "How many rows do you want?"
parse pull zeile
call prog zeile
return

Prog:
use arg zeile
NewDocExcel=.OLEObject~New("Excel.Application")
NewDocExcel~Visible=.true
Worksheet = NewDocExcel~Workbooks~Add~Worksheets[1]

/*Eingabe Spalte*/
Worksheet~Range("A1")~Value = "1. column"
Worksheet~Range("B1")~Value = "2. column"
Worksheet~Range("C1")~Value = "3. column"
Worksheet~Range("D1")~Value = "4. column"

/*Eingabe Zeile*/
Do i=1 to zeile
Worksheet~Range("A"i+1)~Value = i". row"
End

/*Formatierung Spalte*/
Worksheet~Range("A1:D1")~Font~bold=.true
return


Weather:
Say "Where are you?"
parse pull pl
place= pl

command='curl https://wttr.in/'place'?format="+%t+%w"'
outArr=.array~new
errArr=.array~new
ADDRESS SYSTEM command WITH OUTPUT USING (outArr) ERROR USING (errArr)

Say "Where you wanna go?"
parse pull ci
city= ci

command='curl https://wttr.in/'city'?format="+%t+%w"'
outAr=.array~new
errAr=.array~new
ADDRESS SYSTEM command WITH OUTPUT USING (outAr) ERROR USING (errAr)
call RxMessageBox city ":"outArr "                                                       " place ":" outAr,"Temperature","OK", "INFORMATION"

return

Exit:
say "See you soon, "name
call syssleep 1.5
exit

pause